On this page
No Headings
dispute_id, reason, status, dispute_state, dispute_life_cycle_stage, dispute_channel, dispute_amount, create_time and update_time fields.page_size query parameter.page_size=2start_time instead of disputed_transaction_idOauth 2.0 authentication
In: header
Scope: https://uri.paypal.com/services/disputes/read-buyer
DEPRECATED. Please check the alternate field create_time_after. Filters the disputes in the response by a creation date and time. The start time must be within the last 180 days. Value is in Internet date and time format. For example, yyyy-MM-ddTHH:mm:ss.SSSZ.You can specify either but not both the start_time and disputed_transaction_id query parameters.
"Current date and time"^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$20 <= length <= 64Filters the disputes in the response by a transaction, by ID.You can specify either but not both the start_time and disputed_transaction_id query parameter.
^[0-9A-Z_]+$1 <= length <= 255The page number of the results, as a non-zero integer. Enables you to search by page number. Use in combination with the page_size.
11 <= value <= 50Limits the number of disputes in the response to this value.
101 <= value <= 50DEPRECATED. Please check the alternate field page. The token that describes the next page of results to fetch. The list disputes call returns this token in the HATEOAS links in the response.
"The first page of data"^[A-Za-z0-9+\/=]+$1 <= length <= 255Filters the disputes in the response by a state. Separate multiple values with a comma (,). When you specify more than one dispute_state, the response lists disputes that belong to any of the specified dispute_state.
^[0-9A-Z_]+$1 <= length <= 2000The date and time when the dispute was created, in Internet date and time format. For example, yyyy-MM-ddTHH:mm:ss.SSSZ.
^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$20 <= length <= 64The date and time when the dispute was created, in Internet date and time format. For example, yyyy-MM-ddTHH:mm:ss.SSSZ.
^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$20 <= length <= 64The date and time when the dispute was last updated, in Internet date and time format. For example, yyyy-MM-ddTHH:mm:ss.SSSZ. update_time_before must be within the last 180 days and the default is the current time.
^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$20 <= length <= 64The date and time when the dispute was last updated, in Internet date and time format. For example, yyyy-MM-ddTHH:mm:ss.SSSZ. update_time_after must be within the last 180 days and the default is the maximum time (180 days) supported.
^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$20 <= length <= 64application/json
application/json
application/json
curl -X GET "https://api-m.paypal.com/v1/customer/v1/customer/disputes"{
"items": [
{
"dispute_id": "string",
"create_time": "stringstringstringst",
"update_time": "stringstringstringst",
"reason": "MERCHANDISE_OR_SERVICE_NOT_RECEIVED",
"status": "OPEN",
"dispute_state": "OPEN_INQUIRIES",
"dispute_amount": {
"currency_code": "str",
"value": "string"
},
"dispute_asset": {
"asset_symbol": "BTC",
"quantity": "string",
"quantity_in_subunits": "string",
"decimals": 0
},
"dispute_life_cycle_stage": "INQUIRY",
"dispute_channel": "INTERNAL",
"buyer_response_due_date": "stringstringstringst",
"seller_response_due_date": "stringstringstringst",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET",
"title": "string",
"mediaType": "string",
"encType": "application/json",
"schema": {
"additionalItems": {},
"dependencies": {},
"items": {},
"patternProperties": {},
"properties": {},
"allOf": [
{}
],
"anyOf": [
{}
],
"oneOf": [
{}
],
"not": {},
"links": [
{}
],
"fragmentResolution": "string",
"media": {
"type": "string",
"binaryEncoding": "string"
},
"pathStart": "http://example.com"
},
"targetSchema": {
"additionalItems": {},
"dependencies": {},
"items": {},
"patternProperties": {},
"properties": {},
"allOf": [
{}
],
"anyOf": [
{}
],
"oneOf": [
{}
],
"not": {},
"links": [
{}
],
"fragmentResolution": "string",
"media": {
"type": "string",
"binaryEncoding": "string"
},
"pathStart": "http://example.com"
}
}
]
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET",
"title": "string",
"mediaType": "string",
"encType": "application/json",
"schema": {
"additionalItems": {},
"dependencies": {},
"items": {},
"patternProperties": {},
"properties": {},
"allOf": [
{}
],
"anyOf": [
{}
],
"oneOf": [
{}
],
"not": {},
"links": [
{}
],
"fragmentResolution": "string",
"media": {
"type": "string",
"binaryEncoding": "string"
},
"pathStart": "http://example.com"
},
"targetSchema": {
"additionalItems": {},
"dependencies": {},
"items": {},
"patternProperties": {},
"properties": {},
"allOf": [
{}
],
"anyOf": [
{}
],
"oneOf": [
{}
],
"not": {},
"links": [
{}
],
"fragmentResolution": "string",
"media": {
"type": "string",
"binaryEncoding": "string"
},
"pathStart": "http://example.com"
}
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"information_link": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET",
"title": "string",
"mediaType": "string",
"encType": "application/json",
"schema": {
"additionalItems": {},
"dependencies": {},
"items": {},
"patternProperties": {},
"properties": {},
"allOf": [
{}
],
"anyOf": [
{}
],
"oneOf": [
{}
],
"not": {},
"links": [
{}
],
"fragmentResolution": "string",
"media": {
"type": "string",
"binaryEncoding": "string"
},
"pathStart": "http://example.com"
},
"targetSchema": {
"additionalItems": {},
"dependencies": {},
"items": {},
"patternProperties": {},
"properties": {},
"allOf": [
{}
],
"anyOf": [
{}
],
"oneOf": [
{}
],
"not": {},
"links": [
{}
],
"fragmentResolution": "string",
"media": {
"type": "string",
"binaryEncoding": "string"
},
"pathStart": "http://example.com"
}
}
]
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET",
"title": "string",
"mediaType": "string",
"encType": "application/json",
"schema": {
"additionalItems": {},
"dependencies": {},
"items": {},
"patternProperties": {},
"properties": {},
"allOf": [
{}
],
"anyOf": [
{}
],
"oneOf": [
{}
],
"not": {},
"links": [
{}
],
"fragmentResolution": "string",
"media": {
"type": "string",
"binaryEncoding": "string"
},
"pathStart": "http://example.com"
},
"targetSchema": {
"additionalItems": {},
"dependencies": {},
"items": {},
"patternProperties": {},
"properties": {},
"allOf": [
{}
],
"anyOf": [
{}
],
"oneOf": [
{}
],
"not": {},
"links": [
{}
],
"fragmentResolution": "string",
"media": {
"type": "string",
"binaryEncoding": "string"
},
"pathStart": "http://example.com"
}
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"information_link": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET",
"title": "string",
"mediaType": "string",
"encType": "application/json",
"schema": {
"additionalItems": {},
"dependencies": {},
"items": {},
"patternProperties": {},
"properties": {},
"allOf": [
{}
],
"anyOf": [
{}
],
"oneOf": [
{}
],
"not": {},
"links": [
{}
],
"fragmentResolution": "string",
"media": {
"type": "string",
"binaryEncoding": "string"
},
"pathStart": "http://example.com"
},
"targetSchema": {
"additionalItems": {},
"dependencies": {},
"items": {},
"patternProperties": {},
"properties": {},
"allOf": [
{}
],
"anyOf": [
{}
],
"oneOf": [
{}
],
"not": {},
"links": [
{}
],
"fragmentResolution": "string",
"media": {
"type": "string",
"binaryEncoding": "string"
},
"pathStart": "http://example.com"
}
}
]
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET",
"title": "string",
"mediaType": "string",
"encType": "application/json",
"schema": {
"additionalItems": {},
"dependencies": {},
"items": {},
"patternProperties": {},
"properties": {},
"allOf": [
{}
],
"anyOf": [
{}
],
"oneOf": [
{}
],
"not": {},
"links": [
{}
],
"fragmentResolution": "string",
"media": {
"type": "string",
"binaryEncoding": "string"
},
"pathStart": "http://example.com"
},
"targetSchema": {
"additionalItems": {},
"dependencies": {},
"items": {},
"patternProperties": {},
"properties": {},
"allOf": [
{}
],
"anyOf": [
{}
],
"oneOf": [
{}
],
"not": {},
"links": [
{}
],
"fragmentResolution": "string",
"media": {
"type": "string",
"binaryEncoding": "string"
},
"pathStart": "http://example.com"
}
}
]
}